Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision ccca251bb0673718b534366ace0e22857d73804b)
+++ uspace/srv/net/il/ip/ip.c	(revision 5fe7692333e7cdfa10b72167b2de2563d3ba8e25)
@@ -176,5 +176,5 @@
 	socklen_t addrlen;
 
-	/* Detach the first packet and release the others */
+	// detach the first packet and release the others
 	next = pq_detach(packet);
 	if (next)
@@ -185,5 +185,5 @@
 			return ENOMEM;
 
-		/* Get header */
+		// get header
 		header = (ip_header_t *) packet_get_data(packet);
 		if (!header)
@@ -192,13 +192,13 @@
 	}
 
-	/* Only for the first fragment */
+	// only for the first fragment
 	if (IP_FRAGMENT_OFFSET(header))
 		return EINVAL;
 
-	/* Not for the ICMP protocol */
+	// not for the ICMP protocol
 	if (header->protocol == IPPROTO_ICMP)
 		return EPERM;
 
-	/* Set the destination address */
+	// set the destination address
 	switch (header->version) {
 	case IPVERSION:
@@ -351,5 +351,5 @@
 	configuration = &names[0];
 
-	/* Get configuration */
+	// get configuration
 	rc = net_get_device_conf_req(ip_globals.net_phone, ip_netif->device_id,
 	    &configuration, count, &data);
@@ -419,5 +419,5 @@
 	}
 
-	/* Bind netif service which also initializes the device */
+	// binds the netif service which also initializes the device
 	ip_netif->phone = nil_bind_service(ip_netif->service,
 	    (sysarg_t) ip_netif->device_id, SERVICE_IP,
@@ -429,5 +429,5 @@
 	}
 
-	/* Has to be after the device netif module initialization */
+	// has to be after the device netif module initialization
 	if (ip_netif->arp) {
 		if (route) {
@@ -445,5 +445,5 @@
 	}
 
-	/* Get packet dimensions */
+	// get packet dimensions
 	rc = nil_packet_size_req(ip_netif->phone, ip_netif->device_id,
 	    &ip_netif->packet_dimension);
@@ -463,5 +463,5 @@
 	
 	if (gateway.s_addr) {
-		/* The default gateway */
+		// the default gateway
 		ip_globals.gateway.address.s_addr = 0;
 		ip_globals.gateway.netmask.s_addr = 0;
@@ -512,5 +512,5 @@
 		ip_netif->arp->usage++;
 
-	/* Print the settings */
+	// print the settings
 	printf("%s: Device registered (id: %d, phone: %d, ipv: %d, conf: %s)\n",
 	    NAME, ip_netif->device_id, ip_netif->phone, ip_netif->ipv,
@@ -587,5 +587,5 @@
 	ip_netif_t *netif;
 
-	/* Start with the last netif - the newest one */
+	// start with the last netif - the newest one
 	index = ip_netifs_count(&ip_globals.netifs) - 1;
 	while (index >= 0) {
@@ -629,18 +629,18 @@
 	size_t length;
 
-	/* Copy first itself */
+	// copy first itself
 	memcpy(last, first, sizeof(ip_header_t));
 	length = sizeof(ip_header_t);
 	next = sizeof(ip_header_t);
 
-	/* Process all IP options */
+	// process all ip options
 	while (next < first->header_length) {
 		option = (ip_option_t *) (((uint8_t *) first) + next);
-		/* Skip end or noop */
+		// skip end or noop
 		if ((option->type == IPOPT_END) ||
 		    (option->type == IPOPT_NOOP)) {
 			next++;
 		} else {
-			/* Copy if told so or skip */
+			// copy if told so or skip
 			if (IPOPT_COPIED(option->type)) {
 				memcpy(((uint8_t *) last) + length,
@@ -648,10 +648,10 @@
 				length += option->length;
 			}
-			/* Next option */
+			// next option
 			next += option->length;
 		}
 	}
 
-	/* Align 4 byte boundary */
+	// align 4 byte boundary
 	if (length % 4) {
 		bzero(((uint8_t *) last) + length, 4 - (length % 4));
@@ -789,5 +789,5 @@
 
 	header->total_length = htons(length);
-	/* Unnecessary for all protocols */
+	// unnecessary for all protocols
 	header->header_checksum = IP_HEADER_CHECKSUM(header);
 
@@ -916,14 +916,14 @@
 		return ENOMEM;
 
-	/* Get header */
+	// get header
 	header = (ip_header_t *) packet_get_data(packet);
 	if (!header)
 		return EINVAL;
 
-	/* Fragmentation forbidden? */
+	// fragmentation forbidden?
 	if(header->flags & IPFLAG_DONT_FRAGMENT)
 		return EPERM;
 
-	/* Create the last fragment */
+	// create the last fragment
 	new_packet = packet_get_4_remote(ip_globals.net_phone, prefix, length,
 	    suffix, ((addrlen > addr_len) ? addrlen : addr_len));
@@ -931,5 +931,5 @@
 		return ENOMEM;
 
-	/* Allocate as much as originally */
+	// allocate as much as originally
 	last_header = (ip_header_t *) packet_suffix(new_packet,
 	    IP_HEADER_LENGTH(header));
@@ -939,5 +939,5 @@
 	ip_create_last_header(last_header, header);
 
-	/* Trim the unused space */
+	// trim the unused space
 	rc = packet_trim(new_packet, 0,
 	    IP_HEADER_LENGTH(header) - IP_HEADER_LENGTH(last_header));
@@ -945,5 +945,5 @@
 		return ip_release_and_return(packet, rc);
 
-	/* Greatest multiple of 8 lower than content */
+	// biggest multiple of 8 lower than content
 	// TODO even fragmentation?
 	length = length & ~0x7;
@@ -957,8 +957,8 @@
 		return ip_release_and_return(packet, rc);
 
-	/* Mark the first as fragmented */
+	// mark the first as fragmented
 	header->flags |= IPFLAG_MORE_FRAGMENTS;
 
-	/* Create middle fragments */
+	// create middle framgents
 	while (IP_TOTAL_LENGTH(header) > length) {
 		new_packet = packet_get_4_remote(ip_globals.net_phone, prefix,
@@ -981,5 +981,5 @@
 	}
 
-	/* Finish the first fragment */
+	// finish the first fragment
 	header->header_checksum = IP_HEADER_CHECKSUM(header);
 
@@ -1012,5 +1012,5 @@
 
 	next = packet;
-	/* Check all packets */
+	// check all packets
 	while (next) {
 		length = packet_get_data_length(next);
@@ -1021,5 +1021,5 @@
 		}
 
-		/* Too long */
+		// too long
 		result = ip_fragment_packet(next, content, prefix,
 		    suffix, addr_len);
@@ -1027,13 +1027,13 @@
 			new_packet = pq_detach(next);
 			if (next == packet) {
-				/* The new first packet of the queue */
+				// the new first packet of the queue
 				packet = new_packet;
 			}
-			/* Fragmentation needed? */
+			// fragmentation needed?
 			if (result == EPERM) {
 				phone = ip_prepare_icmp_and_get_phone(
 				    error, next, NULL);
 				if (phone >= 0) {
-					/* Fragmentation necessary ICMP */
+					// fragmentation necessary ICMP
 					icmp_destination_unreachable_msg(phone,
 					    ICMP_FRAG_NEEDED, content, next);
@@ -1080,5 +1080,5 @@
 	int rc;
 
-	/* Get destination hardware address */
+	// get destination hardware address
 	if (netif->arp && (route->address.s_addr != dest.s_addr)) {
 		destination.value = route->gateway.s_addr ?
@@ -1102,5 +1102,5 @@
 			    NULL);
 			if (phone >= 0) {
-				/* Unreachable ICMP if no routing */
+				// unreachable ICMP if no routing
 				icmp_destination_unreachable_msg(phone,
 				    ICMP_HOST_UNREACH, 0, packet);
@@ -1148,8 +1148,6 @@
 	int rc;
 
-	/*
-	 * Addresses in the host byte order
-	 * Should be the next hop address or the target destination address
-	 */
+	// addresses in the host byte order
+	// should be the next hop address or the target destination address
 	addrlen = packet_get_addr(packet, NULL, (uint8_t **) &addr);
 	if (addrlen < 0)
@@ -1176,5 +1174,5 @@
 	fibril_rwlock_read_lock(&ip_globals.netifs_lock);
 
-	/* Device specified? */
+	// device specified?
 	if (device_id > 0) {
 		netif = ip_netifs_find(&ip_globals.netifs, device_id);
@@ -1192,5 +1190,5 @@
 		phone = ip_prepare_icmp_and_get_phone(error, packet, NULL);
 		if (phone >= 0) {
-			/* Unreachable ICMP if no routing */
+			// unreachable ICMP if no routing
 			icmp_destination_unreachable_msg(phone,
 			    ICMP_NET_UNREACH, 0, packet);
@@ -1200,8 +1198,6 @@
 
 	if (error) {
-		/*
-		 * Do not send for broadcast, anycast packets or network
-		 * broadcast.
-		 */
+		// do not send for broadcast, anycast packets or network
+		// broadcast
 		if (!dest->s_addr || !(~dest->s_addr) ||
 		    !(~((dest->s_addr & ~route->netmask.s_addr) |
@@ -1212,8 +1208,8 @@
 	}
 	
-	/* If the local host is the destination */
+	// if the local host is the destination
 	if ((route->address.s_addr == dest->s_addr) &&
 	    (dest->s_addr != IPV4_LOCALHOST_ADDRESS)) {
-		/* Find the loopback device to deliver */
+		// find the loopback device to deliver
 		dest->s_addr = IPV4_LOCALHOST_ADDRESS;
 		route = ip_find_route(*dest);
@@ -1224,5 +1220,5 @@
 			    NULL);
 			if (phone >= 0) {
-				/* Unreachable ICMP if no routing */
+				// unreachable ICMP if no routing
 				icmp_destination_unreachable_msg(phone,
 				    ICMP_HOST_UNREACH, 0, packet);
@@ -1256,5 +1252,5 @@
 
 	fibril_rwlock_write_lock(&ip_globals.netifs_lock);
-	/* Find the device */
+	// find the device
 	netif = ip_netifs_find(&ip_globals.netifs, device_id);
 	if (!netif) {
@@ -1348,5 +1344,5 @@
 		return ip_release_and_return(packet, rc);
 
-	/* Trim padding if present */
+	// trim padding if present
 	if (!error &&
 	    (IP_TOTAL_LENGTH(header) < packet_get_data_length(packet))) {
@@ -1364,5 +1360,5 @@
 		phone = ip_prepare_icmp_and_get_phone(error, packet, header);
 		if (phone >= 0) {
-			/* Unreachable ICMP */
+			// unreachable ICMP
 			icmp_destination_unreachable_msg(phone,
 			    ICMP_PROT_UNREACH, 0, packet);
@@ -1421,10 +1417,10 @@
 		return ip_release_and_return(packet, ENOMEM);
 
-	/* Checksum */
+	// checksum
 	if ((header->header_checksum) &&
 	    (IP_HEADER_CHECKSUM(header) != IP_CHECKSUM_ZERO)) {
 		phone = ip_prepare_icmp_and_get_phone(0, packet, header);
 		if (phone >= 0) {
-			/* Checksum error ICMP */
+			// checksum error ICMP
 			icmp_parameter_problem_msg(phone, ICMP_PARAM_POINTER,
 			    ((size_t) ((void *) &header->header_checksum)) -
@@ -1437,5 +1433,5 @@
 		phone = ip_prepare_icmp_and_get_phone(0, packet, header);
 		if (phone >= 0) {
-			/* TTL exceeded ICMP */
+			// ttl exceeded ICMP
 			icmp_time_exceeded_msg(phone, ICMP_EXC_TTL, packet);
 		}
@@ -1443,8 +1439,8 @@
 	}
 	
-	/* Process ipopt and get destination */
+	// process ipopt and get destination
 	dest = ip_get_destination(header);
 
-	/* Set the destination address */
+	// set the addrination address
 	switch (header->version) {
 	case IPVERSION:
@@ -1468,5 +1464,5 @@
 		phone = ip_prepare_icmp_and_get_phone(0, packet, header);
 		if (phone >= 0) {
-			/* Unreachable ICMP */
+			// unreachable ICMP
 			icmp_destination_unreachable_msg(phone,
 			    ICMP_HOST_UNREACH, 0, packet);
@@ -1476,5 +1472,5 @@
 
 	if (route->address.s_addr == dest.s_addr) {
-		/* Local delivery */
+		// local delivery
 		return ip_deliver_local(device_id, packet, header, 0);
 	}
@@ -1488,5 +1484,5 @@
 	phone = ip_prepare_icmp_and_get_phone(0, packet, header);
 	if (phone >= 0) {
-		/* Unreachable ICMP if no routing */
+		// unreachable ICMP if no routing
 		icmp_destination_unreachable_msg(phone, ICMP_HOST_UNREACH, 0,
 		    packet);
@@ -1774,8 +1770,8 @@
 		header = (ip_header_t *)(data + offset);
 
-		/* Destination host unreachable? */
+		// destination host unreachable?
 		if ((type != ICMP_DEST_UNREACH) ||
 		    (code != ICMP_HOST_UNREACH)) {
-			/* No, something else */
+		    	// no, something else
 			break;
 		}
@@ -1791,8 +1787,8 @@
 		route = ip_routes_get_index(&netif->routes, 0);
 
-		/* From the same network? */
+		// from the same network?
 		if (route && ((route->address.s_addr & route->netmask.s_addr) ==
 		    (header->destination_address & route->netmask.s_addr))) {
-			/* Clear the ARP mapping if any */
+			// clear the ARP mapping if any
 			address.value = (uint8_t *) &header->destination_address;
 			address.length = sizeof(header->destination_address);
@@ -1848,8 +1844,8 @@
 	fibril_rwlock_read_lock(&ip_globals.lock);
 	route = ip_find_route(*dest);
-	/* If the local host is the destination */
+	// if the local host is the destination
 	if (route && (route->address.s_addr == dest->s_addr) &&
 	    (dest->s_addr != IPV4_LOCALHOST_ADDRESS)) {
-		/* Find the loopback device to deliver */
+		// find the loopback device to deliver
 		dest->s_addr = IPV4_LOCALHOST_ADDRESS;
 		route = ip_find_route(*dest);
